curl --request POST \
--url https://api.arize.com/v2/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Math Questions Dataset",
"space_id": "space_12345",
"examples": [
{
"question": "What is 2 + 2?",
"answer": "4",
"topic": "arithmetic"
},
{
"question": "What is the square root of 16?",
"answer": "4",
"topic": "geometry"
},
{
"question": "If 3x = 12, what is x?",
"answer": "4",
"topic": "algebra"
}
]
}
'import requests
url = "https://api.arize.com/v2/datasets"
payload = {
"name": "Math Questions Dataset",
"space_id": "space_12345",
"examples": [
{
"question": "What is 2 + 2?",
"answer": "4",
"topic": "arithmetic"
},
{
"question": "What is the square root of 16?",
"answer": "4",
"topic": "geometry"
},
{
"question": "If 3x = 12, what is x?",
"answer": "4",
"topic": "algebra"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Math Questions Dataset',
space_id: 'space_12345',
examples: [
{question: 'What is 2 + 2?', answer: '4', topic: 'arithmetic'},
{question: 'What is the square root of 16?', answer: '4', topic: 'geometry'},
{question: 'If 3x = 12, what is x?', answer: '4', topic: 'algebra'}
]
})
};
fetch('https://api.arize.com/v2/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"versions": [
{
"id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"name": "v1.0",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z"
},
{
"id": "RGF0YXNldFZlcnNpb246MjphQmNE",
"name": "v1.1",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-02-01T12:00:00Z",
"updated_at": "2024-02-02T12:00:00Z"
}
]
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 409,
"title": "Resource conflict",
"detail": "A resource with the given identifier already exists.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-conflict"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}Create a dataset
Create a new dataset with JSON examples. Empty datasets are not allowed.
Payload Requirements
- The dataset name must be unique within the given space.
- Each item in
examples[]may contain any user-defined fields. - Do not include system-managed fields on input:
id,created_at,updated_at. Requests that contain these fields in any example will be rejected. - Each example must contain at least one property (i.e.,
{}is invalid).
Valid example (create)
{
"name": "my-dataset",
"space_id": "spc_123",
"examples": [
{
"question": "What is 2+2?",
"answer": "4",
"topic": "math"
},
{
"question": "What is the capital of Spain?",
"answer": "Madrid",
"topic": "geography"
},
]
}
Invalid example (‘id’ not allowed on create)
{
"name": "my-dataset",
"space_id": "spc_123",
"examples": [
{
"id": "ex_1",
"input": "Hello"
}
]
}
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Body
Body containing dataset creation parameters
Response
A dataset object
A dataset is a structured collection of examples used to test and evaluate LLM applications. Datasets allow you to test models consistently across any real-world scenarios and edge cases, quickly identify regressions, and track measurable improvements.
Unique identifier for the dataset
Name of the dataset
Unique identifier for the space this dataset belongs to
Timestamp for when the dataset was created
Timestamp for the last update of the dataset
List of versions associated with this dataset
Show child attributes
Show child attributes
Was this page helpful?